# infrastructure/cert-manager/cleanup/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - cert-manager-cleanup-rbac.yaml
  - cert-manager-cleanup-job.yaml

configMapGenerator:
  - name: cert-manager-cleanup-script
    namespace: cert-manager
    files:
      - cert_manager_cleanup.sh=scripts/cert_manager_cleanup.sh
    options:
      disableNameSuffixHash: true
